Starting Downloads with IDM
There are several ways to start your downloads with Internet Download Manager.
1) IDM monitors clicks in Internet Explorer, MSN Explorer, AOL, Opera, Mozilla, Netscape, and many other browsers.
This method is the easiest one. If you click on a download link in Internet Explorer or in another browser IDM will take over and accelerate this download. In this case you don't need to do anything special, just browse the Internet as you usually do. IDM takes over a download from Internet Explorer if its type matches the list of types/extensions. The list of file types/extensions to download with IDM can be edited in Options->General. If IDM has taken over a download, it shows the following dialog
If you click on Download Later button, URL (web address) will be added to the list of downloads, but the download process doesn't start. If you click on Start Download button, IDM will start downloading the file immediately. IDM lets you associate your downloads with IDM categories. IDM suggests the category and the default download directory according to file type. You may edit categories, delete and add new categories in the main IDM window. If you want to see the contents of a zip file before downloading, you may click on Preview button.

IDM will take over any download if you hold down the CTRL key while clicking its download link in Internet Explorer. (you should check "Use CTRL key with IE click monitoring" box in "IDM Options->General").

If you hold down the ALT key while clicking on a download link in IE, IDM will not take over the download and let Internet Explorer download the file. (you should check "Use ALT key with IE click monitoring" box in "IDM Options->General")

If you don't want IDM to take over any downloads from a browser, turn off the browser integration in IDM options. After turning off or on the browser integration in "IDM Options->General", don't forget to restart the browser.

Remember if Internet Download Manager had problems downloading file, you should press Alt while clicking on a link to let the browser process the download.

2) IDM monitors clipboard for valid URLs (web addresses).
IDM monitors system clipboard for URLs with special extension types. When a web address is being copied to the clipboard, IDM shows its dialog to start Download.
If you click on OK button, IDM will start downloading.
3) IDM integrates into right click link menu of IE based (MSN, AOL, Avant) and Mozilla based (Firefox, Netscape) browsers
If you right click on a link in a browser, you will see "Download with IDM" menu item. You can download a specific link or all links in the selected text from an html page.
This way of downloading files is useful if IDM couldn't take over the download automatically. Just pick this item to start downloading a link with IDM. You may also select a text in Internet Explorer, and pick "Download with IDM" to add all links in the selected text to IDM.
4) You can add URL (web address) manually with Add URL button.
See Main Dialog topic for more details
5) Drag and Drop links from Internet Explorer to IDM main window or download basket
Drop target is a window that accepts hyperlinks dragged from Internet Explorer, Netscape or Opera browsers. You can drag a link from your browser and drop it to this window in order to start your downloads with IDM.
If you want to hide this window simply close it. Later you can pick "Url-> Show drop target" from the main menu (or tray menu) if you want this window to appear again.
6) You may start downloads from command line using command line parameters
You may start IDM from the command line using the following parameters
idman /s
or idman /d URL [/p local_path] [/f local_file_name] [/q] [/h] [/n] [/a]
Parameters:
/d URL - downloads a file, eg.
IDMan.exe /d "http://www.internetdownloadmanager.com/path/File Name.zip"
/s - starts queue in scheduler
/p local_path - defines the local path where to save the file
/f local_file_name - defines the local file name to save the file
/q - IDM will exit after the successful downloading. This parameter works only for the first copy
/h - IDM will hang up your connection after the successful downloading
/n - turns on the silent mode when IDM doesn't ask any questions
/a - add a file, specified with /d, to download queue, but don't start downloading
Parameters /a, /h, /n, /q, /f local_file_name, /p local_path work only if you specified the file to download with /d URL


Integration into Browsers
If you want to change Browser Integration options, you will need to go to IDM Options by pressing Options button on IDM toolbar.
On File Types Tab you can change file types that will be taken over from a browser and downloaded by IDM. IDM integrates into Internet Explorer, Opera, MSN Explorer, AOL, Netscape, Mozilla, Mozilla Firebird, Mozilla Firefox, MyIE2, Avant Browser, NetCaptor, GoSurf, Fast Browser, SlimBrowser, and many other popular browsers by default. Even if you don't see your browser in the list, IDM may add the browser once you start a download in it.
If you want to turn off the integration into a specific browser, please uncheck the corresponding box in "Intergrate IDM into browsers" list.
You can disable IDM to download from specified sites. If you don't want IDM to take over all downloads from a particular site, you may add it to the list not to start downloading automatically. You may use asterisk to match any number of characters. For example *.tonec.com will match ftp.tonec.com, www.tonec.com, www.games.tonec.com, and etc.
If you need to integrate IDM into a new browser, or any application that use HTTP and FTP download protocols, please use Advanced Browser Integration and check "Detect New Applications" box. Then when you run this application, and try to download a file that has a file type from IDM list of automatically started downloads, IDM will take over the download from this application and add the application to the list of browsers.
Keys button let you select different keyboard keys to force or prevent downloading with IDM. When you press on the Keys button, "Using special keys" dialog will appear. You may select a combination of one or more keys suitable for your web browser.